#region Copyright Syncfusion Inc. 2001 - 2014
// Copyright Syncfusion Inc. 2001 - 2014. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
namespace EJGrid.Models
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Web;
    using System.ComponentModel;
    using System.ComponentModel.DataAnnotations;
    public class EditableOrder
    {
        [Required(ErrorMessage = "EmployeeID cannot be null")]
        [Range(1, 15, ErrorMessage = "EmployeeID must be between 0 and 15.")]
        public int EmployeeID
        {
            get;
            set;
        }
        [Required(ErrorMessage = "FirstName cannot be null")]
        public string FirstName
        {
            get;
            set;
        }
        public string Title
        {
            get;
            set;
        }
        public string City
        {
            get;
            set;
        }
        public string Country
        {
            get;
            set;
        }
    }
    public class EditableOrder2
    {

        [Range(1, 9, ErrorMessage = "EmployeeID must be between 0 and 9.")]
        public int? OrderID
        {
            get;
            set;
        }
        [Required(ErrorMessage = "EmployeeID cannot be null")]
        public int? EmployeeID
        {
            get;
            set;
        }
        public string CustomerID
        {
            get;
            set;
        }
        public string CompanyName
        {
            get;
            set;
        }
        public string ShipCity
        {
            get;
            set;
        }
    }
}